Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.crosswire.common.xml
Class XMLFeature

    java.lang.Object
      org.crosswire.common.xml.XMLFeature

All Implemented Interfaces:
  Serializable, Comparable

    public class XMLFeature

extends Object
implements Serializable, Comparable

Wraps an XML Feature. The "known" set of XML Features is found in XMLFeatureSet.

Author:
  DM Smith [dmsmith555 at yahoo dot com]
See Also:
  `for license details.
  The copyright to this program is held by it's authors.`, Serialized Form

Field Summary
`private String` | `control`
`static XMLFeature` | `DYNAMIC_VALIDATION` Dynamic validation feature id
`static XMLFeature` | `LOAD_EXTERNAL_DTD` Load external DTD feature id
`private String` | `name` The name of the PassageListType
`static XMLFeature` | `NAMESPACE_PREFIX` Namespace prefixes feature id
`static XMLFeature` | `NAMESPACES` Namespaces feature id
`private static int` | `nextObj`
`private int` | `obj`
`static XMLFeature` | `SCHEMA_FULL_CHECKING` Schema full checking feature id
`static XMLFeature` | `SCHEMA_VALIDATION` Schema validation feature id
`private static long` | `serialVersionUID` Serialization UID
`private boolean` | `state`
`static XMLFeature` | `VALIDATE_ANNOTATIONS` Validate schema annotations feature id
`static XMLFeature` | `VALIDATION` Validation feature id
`private static XMLFeature[]` | `VALUES`
`static XMLFeature` | `XINCLUDE` XInclude feature id
`static XMLFeature` | `XINCLUDE_FIXUP_BASE_URIS` XInclude fixup base URIs feature id
`static XMLFeature` | `XINCLUDE_FIXUP_LANGUAGE` XInclude fixup language feature id

Constructor Summary
`private` | `XMLFeature(String control)` Construct a feature for xml, setting the initial state set to false.
`private` | `XMLFeature(String control, boolean initialState)` Construct a feature for xml, setting the initial state

Method Summary
`int` | `compareTo(Object o)`
`boolean` | `equals(Object o)` Prevent subclasses from overriding canonical identity based Object methods
`static XMLFeature` | `fromInteger(int i)` Lookup method to convert from an integer
`static XMLFeature` | `fromString(String name)` Lookup method to convert from a String
`String` | `getControl()`
`boolean` | `getState()` What state should the feature be set to.
`int` | `hashCode()` Prevent subclasses from overriding canonical identity based Object methods
`(package private) Object` | `readResolve()`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### NAMESPACES

    public static final XMLFeature NAMESPACES

  Namespaces feature id

### NAMESPACE_PREFIX

    public static final XMLFeature NAMESPACE_PREFIX

  Namespace prefixes feature id

### VALIDATION

    public static final XMLFeature VALIDATION

  Validation feature id

### SCHEMA_VALIDATION

    public static final XMLFeature SCHEMA_VALIDATION

  Schema validation feature id

### SCHEMA_FULL_CHECKING

    public static final XMLFeature SCHEMA_FULL_CHECKING

  Schema full checking feature id

### VALIDATE_ANNOTATIONS

    public static final XMLFeature VALIDATE_ANNOTATIONS

  Validate schema annotations feature id

### DYNAMIC_VALIDATION

    public static final XMLFeature DYNAMIC_VALIDATION

  Dynamic validation feature id

### LOAD_EXTERNAL_DTD

    public static final XMLFeature LOAD_EXTERNAL_DTD

  Load external DTD feature id

### XINCLUDE

    public static final XMLFeature XINCLUDE

  XInclude feature id

### XINCLUDE_FIXUP_BASE_URIS

    public static final XMLFeature XINCLUDE_FIXUP_BASE_URIS

  XInclude fixup base URIs feature id

### XINCLUDE_FIXUP_LANGUAGE

    public static final XMLFeature XINCLUDE_FIXUP_LANGUAGE

  XInclude fixup language feature id

### control

    private String control

### state

    private boolean state

### name

    private String name

  The name of the PassageListType

### nextObj

    private static int nextObj

### obj

    private final int obj

### VALUES

    private static final XMLFeature[] VALUES

### serialVersionUID

    private static final long serialVersionUID

  Serialization UID

  See Also:
    Constant Field Values

Constructor Detail

### XMLFeature

    private XMLFeature(String control,
                       boolean initialState)

  Construct a feature for xml, setting the initial state

  Parameters:
    `control` -
    `initialState` -

### XMLFeature

    private XMLFeature(String control)

  Construct a feature for xml, setting the initial state set to false.

  Parameters:
    `control` -

Method Detail

### getControl

    public String getControl()

  Returns:
    the control associated with this feature

### getState

    public boolean getState()

  What state should the feature be set to.

  Returns:
    the state of the feature

### fromString

    public static XMLFeature fromString(String name)

  Lookup method to convert from a String

### fromInteger

    public static XMLFeature fromInteger(int i)

  Lookup method to convert from an integer

### equals

    public final boolean equals(Object o)

  Prevent subclasses from overriding canonical identity based Object methods

  Overrides:
    `equals` in class `Object`
  See Also:
    `Object.equals(java.lang.Object)`

### hashCode

    public final int hashCode()

  Prevent subclasses from overriding canonical identity based Object methods

  Overrides:
    `hashCode` in class `Object`
  See Also:
    `Object.hashCode()`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### compareTo

    public int compareTo(Object o)

  Specified by:
    `compareTo` in interface `Comparable`

### readResolve

    Object readResolve()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright ¨ 2003-2006
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD